<?php
# Movable Type (r) Open Source (C) 2001-2010 Six Apart, Ltd.
# This program is distributed under the terms of the
# GNU General Public License, version 2.
#
# $Id: function.mtusersessioncookiename.php 5225 2010-01-27 07:14:14Z takayama $

function smarty_function_mtusersessioncookiename($args, &$ctx) {
    $name = $ctx->mt->config('UserSessionCookieName');
    if ($name == 'DEFAULT') {
        if ($ctx->mt->config('SingleCommunity')) {
            $name = 'mt_blog_user';
        } else {
            $name = 'mt_blog%b_user';
        }
    }
    if (preg_match('/%b/', $name)) {
        $blog = $ctx->stash('blog');
        $name = preg_replace('/%b/', $blog->blog_id, $name);
    }
    return $name;
}
?>
